@keyframes rotation {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(359deg);
    }
  }
@keyframes enter {
  from {
    opacity: 0%; 
    transform: scale(95%);
  }
  to {
    opacity: 100%;
    transform: scale(100%);
  }
}
@keyframes exit {
  from {
    opacity: 100%;
    transform: scale(100%);
  }
  to {
    opacity: 0%; 
    transform: scale(95%);
  }
}
@keyframes fade-in {
  from {
    opacity: 0%;
  }
  to {
    opacity: 100%
  }
}
.fade-in{
  animation: fade-in 0.75s
}
.overlay {
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: black;
  opacity: 0.5;
  top: 0;
  left: 0;
}
.rotate {
   animation: rotation 0.75s infinite linear;
} 
@keyframes enter {
  from {
    opacity: 0%; 
    transform: scale(95%);
  }
  to {
    opacity: 100%;
    transform: scale(100%);
  }
}
.entering{
  animation-name: enter;
  animation-duration: 0.5s;
  z-index: 2;
}
.exiting {
  animation-name: exit;
  animation-duration: 1s;
  z-index: 2;
}
